/*
 * filedrv.h -- Midiator driver protos.
 *
 *  Copyright 1998 John E. Stone (j.stone@acm.org)
 *
 *  $Id: filedrv.h,v 1.3 1998/02/25 01:25:43 johns Exp $
 *
 */

int filedrv_drvinst(AddMIDIDriverFunc adddriver, MidiSystem * midisystem);

#ifdef FILEDRV_INTERNAL

int filedrv_open(MidiDeviceSetupParms, MidiDeviceHandle *, int * iofd); 
int filedrv_write(MidiDeviceHandle, MidiIOEvent *); 
int filedrv_read(MidiDeviceHandle, MidiIOEvent *); 
int filedrv_close(MidiDeviceHandle *); 

#endif

